summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJo Inge Buskenes <joinge.dev@gmail.com>2014-05-06 13:40:21 +0200
committerJo Inge Buskenes <joinge.dev@gmail.com>2014-05-06 13:40:21 +0200
commit6778301789486e0ff6a83899f946557799bc9fb8 (patch)
treecf72344d68313f158eb62559a44b58cdf6dbd6c2 /dev-util
downloadjoinge-6778301789486e0ff6a83899f946557799bc9fb8.tar.gz
joinge-6778301789486e0ff6a83899f946557799bc9fb8.tar.bz2
joinge-6778301789486e0ff6a83899f946557799bc9fb8.zip
Initial commit.
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/amdapp-codexl/amdapp-codexl-1.2.2484.ebuild205
-rw-r--r--dev-util/amdapp-codexl/amdapp-codexl-1.3.3449.ebuild206
-rw-r--r--dev-util/amdapp-codexl/amdapp-codexl-1.3.3487.ebuild206
-rw-r--r--dev-util/amdapp-codexl/files/99amdapp-codexl2
-rw-r--r--dev-util/amdapp-sdk/amdapp-sdk-2.8.1.ebuild44
-rw-r--r--dev-util/androvm-player/androvm-player-4.1.1-r6.ebuild41
-rw-r--r--dev-util/androvm-player/files/99androvm-player1
-rw-r--r--dev-util/androvm/androvm-4.1.1.ebuild232
-rw-r--r--dev-util/androvm/androvm-4.2.2.ebuild134
-rw-r--r--dev-util/androvm/files/androvm-4.1.1-envsetup.patch304
-rw-r--r--dev-util/repo/repo-1.19.ebuild78
-rw-r--r--dev-util/repo/repo-9999.ebuild29
12 files changed, 1482 insertions, 0 deletions
diff --git a/dev-util/amdapp-codexl/amdapp-codexl-1.2.2484.ebuild b/dev-util/amdapp-codexl/amdapp-codexl-1.2.2484.ebuild
new file mode 100644
index 0000000..e85720b
--- /dev/null
+++ b/dev-util/amdapp-codexl/amdapp-codexl-1.2.2484.ebuild
@@ -0,0 +1,205 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="The AMD CodeXL Suite"
+HOMEPAGE="http://developer.amd.com/tools-and-sdks/heterogeneous-computing/codexl/"
+SRC_URI="http://developer.amd.com/download/AMD_CodeXL_Linux_x86_64_${PV}.tar.gz"
+
+MERGE_TYPE="binary"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=x11-libs/gtkglext-1.0
+ =media-libs/libpng-1.2*
+ >=sys-devel/gcc-3.0
+ >=sys-libs/glibc-2.12
+ virtual/libstdc++
+ >=media-libs/mesa-7.0
+ >=dev-libs/libxml2-2.0
+ >=x11-libs/gtk+-2.0
+ >=dev-libs/glib-2.0
+ >=x11-libs/libXext-1.0
+ >=sys-libs/zlib-1.0
+ >=x11-libs/libXmu-1.0
+ >=x11-libs/libXt-1.0
+ >=x11-libs/libSM-1.0
+ >=x11-libs/libICE-1.0
+ >=x11-libs/pango-1.0
+ >=x11-libs/libX11-1.0
+ >=dev-libs/atk-1.0
+ >=x11-libs/cairo-1.0
+ >=media-libs/freetype-2.0
+ >=media-libs/fontconfig-2.0
+ >=x11-libs/libXfixes-4.0
+ >=x11-libs/libXrender-0.9
+ >=x11-libs/libXinerama-1.0
+ >=x11-libs/libXi-1.0
+ >=x11-libs/libXrandr-1.0
+ >=x11-libs/libXcursor-1.0
+ >=x11-libs/libXcomposite-0.4
+ >=x11-libs/libXdamage-1.0
+ >=x11-libs/libxcb-1.0
+ >=x11-libs/pixman-0.15
+ >=dev-libs/expat-2.0
+ >=x11-libs/libXau-1.0
+"
+
+# LIBGL_DEBUG=verbose LD_LIBRARY_PATH=$(pwd):/usr/lib64/opengl/ati/lib ./CodeXL-bin
+
+
+# Dependencies listed in the rpm-file (the ones accounted for are double-commented)
+#
+# # gcc >= 3.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # glibc >= 2.12 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libstdc++ >= 4.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # gtkglext-libs >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# mesa-libGL >= 7.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# mesa-libGLU >= 7.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libxml2 >= 2.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # gtk2 >= 2.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # glib2 >= 2.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXext >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # zlib >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXmu >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXt >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libSM >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libICE >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # pango >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libX11 >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # atk >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # cairo >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # freetype >= 2.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # fontconfig >= 2.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXfixes >= 4.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXrender >= 0.9 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXinerama >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXi >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXrandr >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXcursor >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXcomposite >= 0.4 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXdamage >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# libuuid >= 2.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libxcb >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# libselinux >= 2.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libpng >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # pixman >= 0.15 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # expat >= 2.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # libXau >= 1.0 is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+# # /bin/sh is needed by AMD_CodeXL_Linux-1.2.2484-0.x86_64
+
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/AMD_CodeXL_Linux_x86_64_${PV}/Output_x86_64/release"
+
+CODEXL_DIR="opt/${P}"
+# pkg_setup() {
+# # enewgroup android
+# }
+#
+pkg_preinst(){
+ dodir "${CODEXL_DIR}"
+ cp -rpP ${S}/* "${D}${CODEXL_DIR}" || die
+
+ mkdir ${FILESDIR}
+ echo "PATH=\"/${CODEXL_DIR}/bin\"" > "${FILESDIR}/99${PN}"
+ echo "ROOTPATH=\"/${CODEXL_DIR}/bin\"" > "${FILESDIR}/99${PN}"
+ doenvd "${FILESDIR}/99${PN}"
+# mv AMD_CodeXL_Linux_x86_64_${PV}/Output_x86_64/release amdapp-codecl
+# rm -rf tools/lib/x86*
+}
+
+pkg_postinst(){
+ env-update
+}
+#
+# # src_configure() {
+# # econf --with-posix-regex
+# # }
+#
+# src_install(){
+# declare CODEXL_DIR="/opt/${PN}"
+#
+# mv "${S}" "${D}"${MOZILLA_FIVE_HOME} || die
+#
+# }
+
+# src_install(){
+# # dodoc tools/NOTICE.txt "SDK Readme.txt" || die
+# # rm -f tools/NOTICE.txt "SDK Readme.txt"
+#
+# dodir "${CODEXL_DIR}"
+# cp -pPR AMD_CodeXL_Linux_x86_64_1.2.2484/Output_x86_64/release/* "${CODEXL_DIR}" || die "failed to install tools"
+#
+# # Maybe this is needed for the tools directory too.
+# # dodir "${ANDROID_SDK_DIR}"/{add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp} || die "failed to dodir"
+#
+# # fowners root:android "${ANDROID_SDK_DIR}"/{.,add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp,tools} || die
+# # fperms 0775 "${ANDROID_SDK_DIR}"/{.,add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp,tools} || die
+# #
+# # echo "PATH=\"${EPREFIX}${ANDROID_SDK_DIR}/tools:${EPREFIX}${ANDROID_SDK_DIR}/platform-tools\"" > "${T}/80${PN}" || die
+# #
+# # SWT_PATH=
+# # SWT_VERSIONS="3.7 3.6"
+# # for version in $SWT_VERSIONS; do
+# # # redirecting stderr to /dev/null
+# # # not sure if this is best, but avoids misleading error messages
+# # SWT_PATH="`dirname \`java-config -p swt-\$version 2>/dev/null\` 2>/dev/null`"
+# # if [ $SWT_PATH ]; then
+# # einfo "SWT_PATH=$SWT_PATH selecting version $version of SWT."
+# # break
+# # fi
+# # done
+# #
+# # echo "ANDROID_SWT=\"${SWT_PATH}\"" >> "${T}/80${PN}" || die
+# #
+# # doenvd "${T}/80${PN}" || die
+# #
+# # echo "SEARCH_DIRS_MASK=\"${EPREFIX}${ANDROID_SDK_DIR}\"" > "${T}/80${PN}" || die
+# #
+# # insinto "/etc/revdep-rebuild" && doins "${T}/80${PN}" || die
+#
+# }
+
+# src_install() {
+# emake DESTDIR="${D}" install || die
+#
+# dodoc FAQ NEWS README
+# dohtml EXTENDING.html ctags.html
+#
+# }
+#src_install() {
+ # You must *personally verify* that this trick doesn't install
+ # anything outside of DESTDIR; do this by reading and
+ # understanding the install part of the Makefiles.
+ # This is the preferred way to install.
+ #emake DESTDIR="${D}" install || die
+
+ # When you hit a failure with emake, do not just use make. It is
+ # better to fix the Makefiles to allow proper parallelization.
+ # If you fail with that, use "emake -j1", it's still better than make.
+
+ # For Makefiles that don't make proper use of DESTDIR, setting
+ # prefix is often an alternative. However if you do this, then
+ # you also need to specify mandir and infodir, since they were
+ # passed to ./configure as absolute paths (overriding the prefix
+ # setting).
+ #emake \
+ # prefix="${D}"/usr \
+ # mandir="${D}"/usr/share/man \
+ # infodir="${D}"/usr/share/info \
+ # libdir="${D}"/usr/$(get_libdir) \
+ # install || die
+ # Again, verify the Makefiles! We don't want anything falling
+ # outside of ${D}.
+
+ # The portage shortcut to the above command is simply:
+ #
+ #einstall || die
+#}
diff --git a/dev-util/amdapp-codexl/amdapp-codexl-1.3.3449.ebuild b/dev-util/amdapp-codexl/amdapp-codexl-1.3.3449.ebuild
new file mode 100644
index 0000000..e86a489
--- /dev/null
+++ b/dev-util/amdapp-codexl/amdapp-codexl-1.3.3449.ebuild
@@ -0,0 +1,206 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="The AMD CodeXL Suite"
+HOMEPAGE="http://developer.amd.com/tools-and-sdks/heterogeneous-computing/codexl/"
+SRC_URI="http://developer.amd.com/download/AMD_CodeXL_Linux_x86_64_${PV}.tar_.gz"
+
+MERGE_TYPE="binary"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=x11-libs/gtkglext-1.0
+ =media-libs/libpng-1.2*
+ >=sys-devel/gcc-3.0
+ >=sys-libs/glibc-2.12
+ virtual/libstdc++
+ >=media-libs/mesa-7.0
+ >=dev-libs/libxml2-2.0
+ >=x11-libs/gtk+-2.0
+ >=dev-libs/glib-2.0
+ >=x11-libs/libXext-1.0
+ >=sys-libs/zlib-1.0
+ >=x11-libs/libXmu-1.0
+ >=x11-libs/libXt-1.0
+ >=x11-libs/libSM-1.0
+ >=x11-libs/libICE-1.0
+ >=x11-libs/pango-1.0
+ >=x11-libs/libX11-1.0
+ >=dev-libs/atk-1.0
+ >=x11-libs/cairo-1.0
+ >=media-libs/freetype-2.0
+ >=media-libs/fontconfig-2.0
+ >=x11-libs/libXfixes-4.0
+ >=x11-libs/libXrender-0.9
+ >=x11-libs/libXinerama-1.0
+ >=x11-libs/libXi-1.0
+ >=x11-libs/libXrandr-1.0
+ >=x11-libs/libXcursor-1.0
+ >=x11-libs/libXcomposite-0.4
+ >=x11-libs/libXdamage-1.0
+ >=x11-libs/libxcb-1.0
+ >=sys-libs/libselinux-2.0
+ >=x11-libs/pixman-0.15
+ >=dev-libs/expat-2.0
+ >=x11-libs/libXau-1.0
+"
+
+# LIBGL_DEBUG=verbose LD_LIBRARY_PATH=$(pwd):/usr/lib64/opengl/ati/lib ./CodeXL-bin
+
+
+# Dependencies listed in the rpm-file (the ones accounted for are double-commented)
+#
+# # gcc >= 3.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # glibc >= 2.12 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libstdc++ >= 4.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # gtkglext-libs >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# mesa-libGL >= 7.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# mesa-libGLU >= 7.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libxml2 >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # gtk2 >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # glib2 >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXext >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # zlib >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXmu >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXt >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libSM >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libICE >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # pango >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libX11 >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # atk >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # cairo >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # freetype >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # fontconfig >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXfixes >= 4.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXrender >= 0.9 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXinerama >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXi >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXrandr >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXcursor >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXcomposite >= 0.4 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXdamage >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libuuid >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libxcb >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libselinux >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libpng >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # pixman >= 0.15 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # expat >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXau >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # /bin/sh is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/AMD_CodeXL_Linux_x86_64_${PV}/Output_x86_64/release"
+
+CODEXL_DIR="opt/${P}"
+# pkg_setup() {
+# # enewgroup android
+# }
+#
+pkg_preinst(){
+ dodir "${CODEXL_DIR}"
+ cp -rpP ${S}/* "${D}${CODEXL_DIR}" || die
+
+ mkdir ${FILESDIR}
+ echo "PATH=\"/${CODEXL_DIR}/bin\"" > "${FILESDIR}/99${PN}"
+ echo "ROOTPATH=\"/${CODEXL_DIR}/bin\"" > "${FILESDIR}/99${PN}"
+ doenvd "${FILESDIR}/99${PN}"
+# mv AMD_CodeXL_Linux_x86_64_${PV}/Output_x86_64/release amdapp-codecl
+# rm -rf tools/lib/x86*
+}
+
+pkg_postinst(){
+ env-update
+}
+#
+# # src_configure() {
+# # econf --with-posix-regex
+# # }
+#
+# src_install(){
+# declare CODEXL_DIR="/opt/${PN}"
+#
+# mv "${S}" "${D}"${MOZILLA_FIVE_HOME} || die
+#
+# }
+
+# src_install(){
+# # dodoc tools/NOTICE.txt "SDK Readme.txt" || die
+# # rm -f tools/NOTICE.txt "SDK Readme.txt"
+#
+# dodir "${CODEXL_DIR}"
+# cp -pPR AMD_CodeXL_Linux_x86_64_1.2.2484/Output_x86_64/release/* "${CODEXL_DIR}" || die "failed to install tools"
+#
+# # Maybe this is needed for the tools directory too.
+# # dodir "${ANDROID_SDK_DIR}"/{add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp} || die "failed to dodir"
+#
+# # fowners root:android "${ANDROID_SDK_DIR}"/{.,add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp,tools} || die
+# # fperms 0775 "${ANDROID_SDK_DIR}"/{.,add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp,tools} || die
+# #
+# # echo "PATH=\"${EPREFIX}${ANDROID_SDK_DIR}/tools:${EPREFIX}${ANDROID_SDK_DIR}/platform-tools\"" > "${T}/80${PN}" || die
+# #
+# # SWT_PATH=
+# # SWT_VERSIONS="3.7 3.6"
+# # for version in $SWT_VERSIONS; do
+# # # redirecting stderr to /dev/null
+# # # not sure if this is best, but avoids misleading error messages
+# # SWT_PATH="`dirname \`java-config -p swt-\$version 2>/dev/null\` 2>/dev/null`"
+# # if [ $SWT_PATH ]; then
+# # einfo "SWT_PATH=$SWT_PATH selecting version $version of SWT."
+# # break
+# # fi
+# # done
+# #
+# # echo "ANDROID_SWT=\"${SWT_PATH}\"" >> "${T}/80${PN}" || die
+# #
+# # doenvd "${T}/80${PN}" || die
+# #
+# # echo "SEARCH_DIRS_MASK=\"${EPREFIX}${ANDROID_SDK_DIR}\"" > "${T}/80${PN}" || die
+# #
+# # insinto "/etc/revdep-rebuild" && doins "${T}/80${PN}" || die
+#
+# }
+
+# src_install() {
+# emake DESTDIR="${D}" install || die
+#
+# dodoc FAQ NEWS README
+# dohtml EXTENDING.html ctags.html
+#
+# }
+#src_install() {
+ # You must *personally verify* that this trick doesn't install
+ # anything outside of DESTDIR; do this by reading and
+ # understanding the install part of the Makefiles.
+ # This is the preferred way to install.
+ #emake DESTDIR="${D}" install || die
+
+ # When you hit a failure with emake, do not just use make. It is
+ # better to fix the Makefiles to allow proper parallelization.
+ # If you fail with that, use "emake -j1", it's still better than make.
+
+ # For Makefiles that don't make proper use of DESTDIR, setting
+ # prefix is often an alternative. However if you do this, then
+ # you also need to specify mandir and infodir, since they were
+ # passed to ./configure as absolute paths (overriding the prefix
+ # setting).
+ #emake \
+ # prefix="${D}"/usr \
+ # mandir="${D}"/usr/share/man \
+ # infodir="${D}"/usr/share/info \
+ # libdir="${D}"/usr/$(get_libdir) \
+ # install || die
+ # Again, verify the Makefiles! We don't want anything falling
+ # outside of ${D}.
+
+ # The portage shortcut to the above command is simply:
+ #
+ #einstall || die
+#}
diff --git a/dev-util/amdapp-codexl/amdapp-codexl-1.3.3487.ebuild b/dev-util/amdapp-codexl/amdapp-codexl-1.3.3487.ebuild
new file mode 100644
index 0000000..7fc855f
--- /dev/null
+++ b/dev-util/amdapp-codexl/amdapp-codexl-1.3.3487.ebuild
@@ -0,0 +1,206 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="The AMD CodeXL Suite"
+HOMEPAGE="http://developer.amd.com/tools-and-sdks/heterogeneous-computing/codexl/"
+SRC_URI="http://developer.amd.com/download/AMD_CodeXL_Linux_x86_64_${PV}.tar.gz"
+
+MERGE_TYPE="binary"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=x11-libs/gtkglext-1.0
+ =media-libs/libpng-1.2*
+ >=sys-devel/gcc-3.0
+ >=sys-libs/glibc-2.12
+ virtual/libstdc++
+ >=media-libs/mesa-7.0
+ >=dev-libs/libxml2-2.0
+ >=x11-libs/gtk+-2.0
+ >=dev-libs/glib-2.0
+ >=x11-libs/libXext-1.0
+ >=sys-libs/zlib-1.0
+ >=x11-libs/libXmu-1.0
+ >=x11-libs/libXt-1.0
+ >=x11-libs/libSM-1.0
+ >=x11-libs/libICE-1.0
+ >=x11-libs/pango-1.0
+ >=x11-libs/libX11-1.0
+ >=dev-libs/atk-1.0
+ >=x11-libs/cairo-1.0
+ >=media-libs/freetype-2.0
+ >=media-libs/fontconfig-2.0
+ >=x11-libs/libXfixes-4.0
+ >=x11-libs/libXrender-0.9
+ >=x11-libs/libXinerama-1.0
+ >=x11-libs/libXi-1.0
+ >=x11-libs/libXrandr-1.0
+ >=x11-libs/libXcursor-1.0
+ >=x11-libs/libXcomposite-0.4
+ >=x11-libs/libXdamage-1.0
+ >=x11-libs/libxcb-1.0
+ >=sys-libs/libselinux-2.0
+ >=x11-libs/pixman-0.15
+ >=dev-libs/expat-2.0
+ >=x11-libs/libXau-1.0
+"
+
+# LIBGL_DEBUG=verbose LD_LIBRARY_PATH=$(pwd):/usr/lib64/opengl/ati/lib ./CodeXL-bin
+
+
+# Dependencies listed in the rpm-file (the ones accounted for are double-commented)
+#
+# # gcc >= 3.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # glibc >= 2.12 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libstdc++ >= 4.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # gtkglext-libs >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# mesa-libGL >= 7.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# mesa-libGLU >= 7.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libxml2 >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # gtk2 >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # glib2 >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXext >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # zlib >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXmu >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXt >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libSM >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libICE >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # pango >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libX11 >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # atk >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # cairo >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # freetype >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # fontconfig >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXfixes >= 4.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXrender >= 0.9 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXinerama >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXi >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXrandr >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXcursor >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXcomposite >= 0.4 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXdamage >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libuuid >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libxcb >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libselinux >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libpng >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # pixman >= 0.15 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # expat >= 2.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # libXau >= 1.0 is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+# # /bin/sh is needed by AMD_CodeXL_Linux-1.3.3449-0.x86_64
+
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/AMD_CodeXL_Linux_x86_64_${PV}"
+
+CODEXL_DIR="opt/${P}"
+# pkg_setup() {
+# # enewgroup android
+# }
+#
+pkg_preinst(){
+ dodir "${CODEXL_DIR}"
+ cp -rpP ${S}/* "${D}${CODEXL_DIR}" || die
+
+ mkdir ${FILESDIR}
+ echo "PATH=\"/${CODEXL_DIR}/bin\"" > "${FILESDIR}/99${PN}"
+ echo "ROOTPATH=\"/${CODEXL_DIR}/bin\"" >> "${FILESDIR}/99${PN}"
+ doenvd "${FILESDIR}/99${PN}"
+# mv AMD_CodeXL_Linux_x86_64_${PV}/Output_x86_64/release amdapp-codecl
+# rm -rf tools/lib/x86*
+}
+
+pkg_postinst(){
+ env-update
+}
+#
+# # src_configure() {
+# # econf --with-posix-regex
+# # }
+#
+# src_install(){
+# declare CODEXL_DIR="/opt/${PN}"
+#
+# mv "${S}" "${D}"${MOZILLA_FIVE_HOME} || die
+#
+# }
+
+# src_install(){
+# # dodoc tools/NOTICE.txt "SDK Readme.txt" || die
+# # rm -f tools/NOTICE.txt "SDK Readme.txt"
+#
+# dodir "${CODEXL_DIR}"
+# cp -pPR AMD_CodeXL_Linux_x86_64_1.2.2484/Output_x86_64/release/* "${CODEXL_DIR}" || die "failed to install tools"
+#
+# # Maybe this is needed for the tools directory too.
+# # dodir "${ANDROID_SDK_DIR}"/{add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp} || die "failed to dodir"
+#
+# # fowners root:android "${ANDROID_SDK_DIR}"/{.,add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp,tools} || die
+# # fperms 0775 "${ANDROID_SDK_DIR}"/{.,add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp,tools} || die
+# #
+# # echo "PATH=\"${EPREFIX}${ANDROID_SDK_DIR}/tools:${EPREFIX}${ANDROID_SDK_DIR}/platform-tools\"" > "${T}/80${PN}" || die
+# #
+# # SWT_PATH=
+# # SWT_VERSIONS="3.7 3.6"
+# # for version in $SWT_VERSIONS; do
+# # # redirecting stderr to /dev/null
+# # # not sure if this is best, but avoids misleading error messages
+# # SWT_PATH="`dirname \`java-config -p swt-\$version 2>/dev/null\` 2>/dev/null`"
+# # if [ $SWT_PATH ]; then
+# # einfo "SWT_PATH=$SWT_PATH selecting version $version of SWT."
+# # break
+# # fi
+# # done
+# #
+# # echo "ANDROID_SWT=\"${SWT_PATH}\"" >> "${T}/80${PN}" || die
+# #
+# # doenvd "${T}/80${PN}" || die
+# #
+# # echo "SEARCH_DIRS_MASK=\"${EPREFIX}${ANDROID_SDK_DIR}\"" > "${T}/80${PN}" || die
+# #
+# # insinto "/etc/revdep-rebuild" && doins "${T}/80${PN}" || die
+#
+# }
+
+# src_install() {
+# emake DESTDIR="${D}" install || die
+#
+# dodoc FAQ NEWS README
+# dohtml EXTENDING.html ctags.html
+#
+# }
+#src_install() {
+ # You must *personally verify* that this trick doesn't install
+ # anything outside of DESTDIR; do this by reading and
+ # understanding the install part of the Makefiles.
+ # This is the preferred way to install.
+ #emake DESTDIR="${D}" install || die
+
+ # When you hit a failure with emake, do not just use make. It is
+ # better to fix the Makefiles to allow proper parallelization.
+ # If you fail with that, use "emake -j1", it's still better than make.
+
+ # For Makefiles that don't make proper use of DESTDIR, setting
+ # prefix is often an alternative. However if you do this, then
+ # you also need to specify mandir and infodir, since they were
+ # passed to ./configure as absolute paths (overriding the prefix
+ # setting).
+ #emake \
+ # prefix="${D}"/usr \
+ # mandir="${D}"/usr/share/man \
+ # infodir="${D}"/usr/share/info \
+ # libdir="${D}"/usr/$(get_libdir) \
+ # install || die
+ # Again, verify the Makefiles! We don't want anything falling
+ # outside of ${D}.
+
+ # The portage shortcut to the above command is simply:
+ #
+ #einstall || die
+#}
diff --git a/dev-util/amdapp-codexl/files/99amdapp-codexl b/dev-util/amdapp-codexl/files/99amdapp-codexl
new file mode 100644
index 0000000..ac35dd3
--- /dev/null
+++ b/dev-util/amdapp-codexl/files/99amdapp-codexl
@@ -0,0 +1,2 @@
+PATH="/opt/amdapp-codexl-1.3.3487/bin"
+ROOTPATH="/opt/amdapp-codexl-1.3.3487/bin"
diff --git a/dev-util/amdapp-sdk/amdapp-sdk-2.8.1.ebuild b/dev-util/amdapp-sdk/amdapp-sdk-2.8.1.ebuild
new file mode 100644
index 0000000..36249f1
--- /dev/null
+++ b/dev-util/amdapp-sdk/amdapp-sdk-2.8.1.ebuild
@@ -0,0 +1,44 @@
+
+
+EAPI=5
+
+DESCRIPTION="The AMD OpenCL SDK"
+HOMEPAGE="http://developer.amd.com/tools-and-sdks/heterogeneous-computing/amd-accelerated-parallel-processing-app-sdk/downloads/"
+# SRC_URI="http://developer.amd.com/wordpress/media/files/AMD-APP-SDK-v2.8.1.0-lnx64.tgz"
+# SRC_URI="http://developer.amd.com/wordpress/media/files/AMD-APP-SDK-v2.8.1.0-lnx64.tgz"
+
+MERGE_TYPE="binary"
+RESTRICT="fetch"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=x11-drivers/ati-drivers-13.6
+"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/AMD_CodeXL_Linux_x86_64_${PV}"
+
+pkg_nofetch() {
+ einfo "Please download"
+ einfo " - AMD-APP-SDK-v2.8.1.0-lnx64.tgz"
+ einfo "from ${HOMEPAGE} and place it in ${DISTDIR}"
+}
+
+
+pkg_preinst(){
+
+ echo "bash ${S}/Install-AMD-APP.sh"
+ bash "${S}/Install-AMD-APP.sh"
+
+ # SDK looks for this file in /usr/lib6 for some reason...
+ dosym "/usr/lib32/libatiocl32.so" "/usr/lib64/libatiocl32.so"
+ dosym "/usr/lib32/libamdocl32.so" "/usr/lib64/libamdocl32.so"
+}
+
+pkg_postinst(){
+ env-update
+}
diff --git a/dev-util/androvm-player/androvm-player-4.1.1-r6.ebuild b/dev-util/androvm-player/androvm-player-4.1.1-r6.ebuild
new file mode 100644
index 0000000..c9c527b
--- /dev/null
+++ b/dev-util/androvm-player/androvm-player-4.1.1-r6.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="The AndroVM OpenGL Player"
+HOMEPAGE="http://http://androvm.org"
+SRC_URI="http://androvm.org/Download/AndroVMplayer-Linux64-20130208.tgz"
+
+MERGE_TYPE="binary"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ >=dev-util/androvm-4.1.1-r6
+"
+RDEPEND="${DEPEND}"
+
+INSTALL_DIR="/opt/${P}"
+
+S="${WORKDIR}/AndroVMplayer-Linux64"
+
+
+pkg_preinst(){
+ dodir "${INSTALL_DIR}"
+ cp -rpP ${S}/* "${D}${INSTALL_DIR}" || die
+
+ mkdir ${FILESDIR}
+ echo "PATH=\"/${INSTALL_DIR}:${INSTALL_DIR}/bin\"" > "${FILESDIR}/99${PN}"
+ doenvd "${FILESDIR}/99${PN}"
+}
+
+
+pkg_postinst(){
+ env-update
+}
diff --git a/dev-util/androvm-player/files/99androvm-player b/dev-util/androvm-player/files/99androvm-player
new file mode 100644
index 0000000..d2d1289
--- /dev/null
+++ b/dev-util/androvm-player/files/99androvm-player
@@ -0,0 +1 @@
+PATH="//opt/androvm-player-4.1.1:/opt/androvm-player-4.1.1/bin"
diff --git a/dev-util/androvm/androvm-4.1.1.ebuild b/dev-util/androvm/androvm-4.1.1.ebuild
new file mode 100644
index 0000000..0895df1
--- /dev/null
+++ b/dev-util/androvm/androvm-4.1.1.ebuild
@@ -0,0 +1,232 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="The AndroVM System"
+HOMEPAGE="http://http://androvm.org"
+# EGIT_REPO_URI=""
+# SRC_URI="http://developer.amd.com/download/AMD_CodeXL_Linux_x86_64_${PV}.tar.gz"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# FEATURES="-sandbox"s
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+DEPEND="
+ >=dev-vcs/git-1.7
+ <sys-devel/make-3.82
+ =dev-java/sun-jdk-1.6*
+ >=app-crypt/gnupg-2.0.20
+ >=sys-devel/flex-2.5.37
+ >=sys-devel/bison-2.4.3
+ >=dev-util/gperf-3.0.4
+ >=media-libs/libsdl-1.2.15-r2
+ >=x11-libs/wxGTK-2.8.12.1:2.8
+ >=sys-fs/squashfs-tools-4.2
+ >=net-misc/curl-7.31.0
+ =sys-libs/ncurses-5.9-r2:5
+ >=sys-libs/zlib-1.2.7
+ >=sys-process/schedtool-1.3.0-r1
+ >=virtual/perl-Switch-2.160.0
+ >=app-arch/zip-3.0-r1
+ >=app-arch/unzip-6.0-r3
+ >=media-sound/pulseaudio-2.1-r1
+ >=media-libs/alsa-lib-1.0.27.1
+ >=dev-util/valgrind-3.8.1
+ >=app-emulation/emul-linux-x86-baselibs-20130224
+ >=app-emulation/emul-linux-x86-compat-20130224
+ >=app-emulation/emul-linux-x86-cpplibs-20130224
+ >=dev-lang/python-2.7.5-r2:2.7
+ >=dev-util/repo-1.19
+"
+
+RDEPEND="${DEPEND}"
+
+INSTALL_DIR="/opt/${P}"
+
+##
+## NOTE
+##
+## gpg --import is not handled (yet)
+##
+
+pkg_setup() {
+ mkdir -p "${S}"
+
+ if [ -d "${INSTALL_DIR}/.repo" ]; then
+ rsync -arvu "${INSTALL_DIR}/.repo/" "${S}/.repo"
+ chown portage:portage -R "${S}"
+ fi
+}
+
+src_unpack() {
+ return
+}
+
+src_prepare(){
+
+ repo init -u https://github.com/androvm/platform_manifest.git -b androVM-4.1.1_r6.1 || die
+ repo sync || die
+ make update-api
+
+}
+
+src_configure(){
+# source build/envsetsup.sh || die
+ return
+}
+
+src_compile(){
+ return
+# make ARCH=x86 -j12 || die
+# make ARCH=x86 android_disk_vdi -j12 || die
+}
+
+src_install(){
+
+# dodir "${INSTALL_DIR}"
+# cp -rpP "${S}/" "${D}${INSTALL_DIR}/" || die
+#
+ exeinto "${INSTALL_DIR}"
+ doexe "${FILESDIR}/mysetup.sh"
+ doexe "${FILESDIR}/mybuild.sh"
+ doexe "${FILESDIR}/myinstall.sh"
+# echo "rsync -arvu ${S}/ ${D}"
+# rsync -arvu "${S}/" "${D}"
+}
+
+pkg_preinst(){
+
+ enewgroup androvm
+ enewuser androvm -1 -1 -1 androvm
+}
+
+pkg_postinst(){
+ rsync -arvu "${S}/" "${INSTALL_DIR}"
+
+
+ chown androvm:androvm -R "${INSTALL_DIR}"
+ chmod g+w -R "${INSTALL_DIR}"
+
+ elog "AndroVM is now fetched and installed to ${INSTALL_DIR}"
+ elog ""
+ elog "Next steps:"
+ elog ">> cd ${INSTALL_DIR}"
+ elog ">> ./mysetup.sh"
+ elog ">> ./mybuild.sh"
+ elog ""
+ ewarn "Make sure you are androvm group to avoid permission issues:"
+ ewarn ">> gpasswd -a <user> androvm"
+
+}
+#
+# CODEXL_DIR="opt/${P}"
+# # pkg_setup() {
+# # # enewgroup android
+# # }
+# #
+# pkg_preinst(){
+# dodir "${CODEXL_DIR}"
+# cp -rpP ${S}/* "${D}${CODEXL_DIR}" || die
+#
+# mkdir ${FILESDIR}
+# echo "PATH=\"/${CODEXL_DIR}/bin\"" > "${FILESDIR}/99${PN}"
+# doenvd "${FILESDIR}/99${PN}"
+# # mv AMD_CodeXL_Linux_x86_64_${PV}/Output_x86_64/release amdapp-codecl
+# # rm -rf tools/lib/x86*
+# }
+#
+# pkg_postinst(){
+# env-update
+# }
+#
+# # src_configure() {
+# # econf --with-posix-regex
+# # }
+#
+# src_install(){
+# declare CODEXL_DIR="/opt/${PN}"
+#
+# mv "${S}" "${D}"${MOZILLA_FIVE_HOME} || die
+#
+# }
+
+# src_install(){
+# # dodoc tools/NOTICE.txt "SDK Readme.txt" || die
+# # rm -f tools/NOTICE.txt "SDK Readme.txt"
+#
+# dodir "${CODEXL_DIR}"
+# cp -pPR AMD_CodeXL_Linux_x86_64_1.2.2484/Output_x86_64/release/* "${CODEXL_DIR}" || die "failed to install tools"
+#
+# # Maybe this is needed for the tools directory too.
+# # dodir "${ANDROID_SDK_DIR}"/{add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp} || die "failed to dodir"
+#
+# # fowners root:android "${ANDROID_SDK_DIR}"/{.,add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp,tools} || die
+# # fperms 0775 "${ANDROID_SDK_DIR}"/{.,add-ons,build-tools,docs,extras,platforms,platform-tools,samples,sources,system-images,temp,tools} || die
+# #
+# # echo "PATH=\"${EPREFIX}${ANDROID_SDK_DIR}/tools:${EPREFIX}${ANDROID_SDK_DIR}/platform-tools\"" > "${T}/80${PN}" || die
+# #
+# # SWT_PATH=
+# # SWT_VERSIONS="3.7 3.6"
+# # for version in $SWT_VERSIONS; do
+# # # redirecting stderr to /dev/null
+# # # not sure if this is best, but avoids misleading error messages
+# # SWT_PATH="`dirname \`java-config -p swt-\$version 2>/dev/null\` 2>/dev/null`"
+# # if [ $SWT_PATH ]; then
+# # einfo "SWT_PATH=$SWT_PATH selecting version $version of SWT."
+# # break
+# # fi
+# # done
+# #
+# # echo "ANDROID_SWT=\"${SWT_PATH}\"" >> "${T}/80${PN}" || die
+# #
+# # doenvd "${T}/80${PN}" || die
+# #
+# # echo "SEARCH_DIRS_MASK=\"${EPREFIX}${ANDROID_SDK_DIR}\"" > "${T}/80${PN}" || die
+# #
+# # insinto "/etc/revdep-rebuild" && doins "${T}/80${PN}" || die
+#
+# }
+
+# src_install() {
+# emake DESTDIR="${D}" install || die
+#
+# dodoc FAQ NEWS README
+# dohtml EXTENDING.html ctags.html
+#
+# }
+#src_install() {
+ # You must *personally verify* that this trick doesn't install
+ # anything outside of DESTDIR; do this by reading and
+ # understanding the install part of the Makefiles.
+ # This is the preferred way to install.
+ #emake DESTDIR="${D}" install || die
+
+ # When you hit a failure with emake, do not just use make. It is
+ # better to fix the Makefiles to allow proper parallelization.
+ # If you fail with that, use "emake -j1", it's still better than make.
+
+ # For Makefiles that don't make proper use of DESTDIR, setting
+ # prefix is often an alternative. However if you do this, then
+ # you also need to specify mandir and infodir, since they were
+ # passed to ./configure as absolute paths (overriding the prefix
+ # setting).
+ #emake \
+ # prefix="${D}"/usr \
+ # mandir="${D}"/usr/share/man \
+ # infodir="${D}"/usr/share/info \
+ # libdir="${D}"/usr/$(get_libdir) \
+ # install || die
+ # Again, verify the Makefiles! We don't want anything falling
+ # outside of ${D}.
+
+ # The portage shortcut to the above command is simply:
+ #
+ #einstall || die
+#}
diff --git a/dev-util/androvm/androvm-4.2.2.ebuild b/dev-util/androvm/androvm-4.2.2.ebuild
new file mode 100644
index 0000000..2cc91b7
--- /dev/null
+++ b/dev-util/androvm/androvm-4.2.2.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="The AndroVM System"
+HOMEPAGE="http://http://androvm.org"
+# EGIT_REPO_URI=""
+# SRC_URI="http://developer.amd.com/download/AMD_CodeXL_Linux_x86_64_${PV}.tar.gz"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# FEATURES="-sandbox"
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+
+# <sys-devel/make-3.82
+
+DEPEND="
+ >=dev-vcs/git-1.7.2
+ sys-devel/make
+ =dev-java/sun-jdk-1.6*
+ >=app-crypt/gnupg-2.0.20
+ >=sys-devel/flex-2.5.37
+ >=sys-devel/bison-2.4.3
+ >=dev-util/gperf-3.0.4
+ >=media-libs/libsdl-1.2.15-r2
+ >=x11-libs/wxGTK-2.8.12.1:2.8
+ >=sys-fs/squashfs-tools-4.2
+ >=net-misc/curl-7.31.0
+ =sys-libs/ncurses-5.9-r2:5
+ >=sys-libs/zlib-1.2.7
+ >=sys-process/schedtool-1.3.0-r1
+ >=virtual/perl-Switch-2.160.0
+ >=app-arch/zip-3.0-r1
+ >=app-arch/unzip-6.0-r3
+ >=media-sound/pulseaudio-2.1-r1
+ >=media-libs/alsa-lib-1.0.27.1
+ >=dev-util/valgrind-3.8.1
+ >=app-emulation/emul-linux-x86-baselibs-20130224
+ >=app-emulation/emul-linux-x86-compat-20130224
+ >=app-emulation/emul-linux-x86-cpplibs-20130224
+ || ( =dev-lang/python-2.6* =dev-lang/python-2.7* )
+ dev-util/repo
+"
+
+RDEPEND="${DEPEND}"
+
+INSTALL_DIR="/opt/${P}"
+
+##
+## NOTE
+##
+## gpg --import is not handled (yet)
+##
+
+pkg_setup() {
+ mkdir -p "${S}"
+ cd "${S}"
+
+ if [ -d "${INSTALL_DIR}/.repo" ]; then
+ rsync -arvu "${INSTALL_DIR}/.repo/" "${S}/.repo"
+ fi
+ chown portage:portage -R "${S}"
+
+}
+
+src_unpack() {
+ return
+}
+
+src_prepare(){
+
+ repo init -u http://github.com/androvm/platform_manifest.git -b genymotion-4.2.2_r1.2 || die
+ repo sync || die
+# make update-api
+
+}
+
+src_configure(){
+# source build/envsetsup.sh || die
+ return
+}
+
+src_compile(){
+ return
+# make ARCH=x86 -j12 || die
+# make ARCH=x86 android_disk_vdi -j12 || die
+}
+
+src_install(){
+
+# dodir "${INSTALL_DIR}"
+# cp -rpP "${S}/" "${D}${INSTALL_DIR}/" || die
+#
+ exeinto "${INSTALL_DIR}"
+ doexe "${FILESDIR}/mysetup.sh"
+ doexe "${FILESDIR}/mybuild.sh"
+ doexe "${FILESDIR}/myinstall.sh"
+
+}
+
+pkg_preinst(){
+
+ enewgroup androvm
+ enewuser androvm -1 -1 -1 androvm
+}
+
+pkg_postinst(){
+
+ rsync -arvu "${S}/" "${INSTALL_DIR}"
+
+ chown androvm:androvm -R "${INSTALL_DIR}"
+ chmod g+w -R "${INSTALL_DIR}"
+
+ elog "Importing gpg key..."
+ gpg --import "${FILESDIR}/gpg.key"
+
+ elog "AndroVM is now fetched and installed to ${INSTALL_DIR}"
+ elog ""
+ elog "Next steps:"
+ elog ">> cd ${INSTALL_DIR}"
+ elog ">> source ./mysetup.sh"
+ elog ">> ./mybuild.sh"
+ elog ""
+ ewarn "Make sure you are in the androvm group to avoid permission issues:"
+ ewarn ">> gpasswd -a <user> androvm"
+
+}
diff --git a/dev-util/androvm/files/androvm-4.1.1-envsetup.patch b/dev-util/androvm/files/androvm-4.1.1-envsetup.patch
new file mode 100644
index 0000000..946255b
--- /dev/null
+++ b/dev-util/androvm/files/androvm-4.1.1-envsetup.patch
@@ -0,0 +1,304 @@
+--- /opt/androvm-4.1.1/build/envsetup.sh 2013-08-29 03:44:27.000000000 +0200
++++ build/envsetup.sh 2013-08-29 11:50:37.654461507 +0200
+@@ -12,10 +12,10 @@
+
+ Look at the source to view more functions. The complete list is:
+ EOF
+- T=$(gettop)
++ TOP=$(gettop)
+ local A
+ A=""
+- for i in `cat $T/build/envsetup.sh | sed -n "/^function /s/function \([a-z_]*\).*/\1/p" | sort`; do
++ for i in `cat $TOP/build/envsetup.sh | sed -n "/^function /s/function \([a-z_]*\).*/\1/p" | sort`; do
+ A="$A $i"
+ done
+ echo $A
+@@ -24,32 +24,32 @@
+ # Get the value of a build variable as an absolute path.
+ function get_abs_build_var()
+ {
+- T=$(gettop)
+- if [ ! "$T" ]; then
++ TOP=$(gettop)
++ if [ ! "$TOP" ]; then
+ echo "Couldn't locate the top of the tree. Try setting TOP." >&2
+ return
+ fi
+- (cd $T; CALLED_FROM_SETUP=true BUILD_SYSTEM=build/core \
+- make --no-print-directory -C "$T" -f build/core/config.mk dumpvar-abs-$1)
++ (cd $TOP; CALLED_FROM_SETUP=true BUILD_SYSTEM=build/core \
++ make --no-print-directory -C "$TOP" -f build/core/config.mk dumpvar-abs-$1)
+ }
+
+ # Get the exact value of a build variable.
+ function get_build_var()
+ {
+- T=$(gettop)
+- if [ ! "$T" ]; then
++ TOP=$(gettop)
++ if [ ! "$TOP" ]; then
+ echo "Couldn't locate the top of the tree. Try setting TOP." >&2
+ return
+ fi
+ CALLED_FROM_SETUP=true BUILD_SYSTEM=build/core \
+- make --no-print-directory -C "$T" -f build/core/config.mk dumpvar-$1
++ make --no-print-directory -C "$TOP" -f build/core/config.mk dumpvar-$1
+ }
+
+ # check to see if the supplied product is one we can build
+ function check_product()
+ {
+- T=$(gettop)
+- if [ ! "$T" ]; then
++ TOP=$(gettop)
++ if [ ! "$TOP" ]; then
+ echo "Couldn't locate the top of the tree. Try setting TOP." >&2
+ return
+ fi
+@@ -79,8 +79,8 @@
+
+ function setpaths()
+ {
+- T=$(gettop)
+- if [ ! "$T" ]; then
++ TOP=$(gettop)
++ if [ ! "$TOP" ]; then
+ echo "Couldn't locate the top of the tree. Try setting TOP."
+ return
+ fi
+@@ -147,8 +147,8 @@
+ fi
+
+ export ANDROID_TOOLCHAIN=$ANDROID_EABI_TOOLCHAIN
+- export ANDROID_QTOOLS=$T/development/emulator/qtools
+- export ANDROID_DEV_SCRIPTS=$T/development/scripts
++ export ANDROID_QTOOLS=$TOP/development/emulator/qtools
++ export ANDROID_DEV_SCRIPTS=$TOP/development/scripts
+ export ANDROID_BUILD_PATHS=:$(get_build_var ANDROID_BUILD_PATHS):$ANDROID_QTOOLS:$ANDROID_TOOLCHAIN:$ARM_EABI_TOOLCHAIN$CODE_REVIEWS:$ANDROID_DEV_SCRIPTS
+ export PATH=$PATH$ANDROID_BUILD_PATHS
+
+@@ -169,17 +169,17 @@
+
+ # needed for processing samples collected by perf counters
+ unset OPROFILE_EVENTS_DIR
+- export OPROFILE_EVENTS_DIR=$T/external/oprofile/events
++ export OPROFILE_EVENTS_DIR=$TOP/external/oprofile/events
+
+ # needed for building linux on MacOS
+ # TODO: fix the path
+- #export HOST_EXTRACFLAGS="-I "$T/system/kernel_headers/host_include
++ #export HOST_EXTRACFLAGS="-I "$TOP/system/kernel_headers/host_include
+ }
+
+ function printconfig()
+ {
+- T=$(gettop)
+- if [ ! "$T" ]; then
++ TOP=$(gettop)
++ if [ ! "$TOP" ]; then
+ echo "Couldn't locate the top of the tree. Try setting TOP." >&2
+ return
+ fi
+@@ -566,14 +566,14 @@
+ # a command that prints something as a side-effect
+ # (like pushd)
+ local HERE=$PWD
+- T=
++ TOP=
+ while [ \( ! \( -f $TOPFILE \) \) -a \( $PWD != "/" \) ]; do
+ cd .. > /dev/null
+- T=`PWD= /bin/pwd`
++ TOP=`PWD= /bin/pwd`
+ done
+ cd $HERE > /dev/null
+- if [ -f "$T/$TOPFILE" ]; then
+- echo $T
++ if [ -f "$TOP/$TOPFILE" ]; then
++ echo $TOP
+ fi
+ fi
+ fi
+@@ -581,9 +581,9 @@
+
+ function m()
+ {
+- T=$(gettop)
+- if [ "$T" ]; then
+- make -C $T $@
++ TOP=$(gettop)
++ if [ "$TOP" ]; then
++ make -C $TOP $@
+ else
+ echo "Couldn't locate the top of the tree. Try setting TOP."
+ fi
+@@ -596,11 +596,11 @@
+ # a command that prints something as a side-effect
+ # (like pushd)
+ local HERE=$PWD
+- T=
++ TOP=
+ while [ \( ! \( -f $TOPFILE \) \) -a \( $PWD != "/" \) ]; do
+- T=$PWD
+- if [ -f "$T/Android.mk" ]; then
+- echo $T/Android.mk
++ TOP=$PWD
++ if [ -f "$TOP/Android.mk" ]; then
++ echo $TOP/Android.mk
+ cd $HERE > /dev/null
+ return
+ fi
+@@ -617,24 +617,24 @@
+ make $@
+ else
+ # Find the closest Android.mk file.
+- T=$(gettop)
++ TOP=$(gettop)
+ local M=$(findmakefile)
+ # Remove the path to top as the makefilepath needs to be relative
+- local M=`echo $M|sed 's:'$T'/::'`
+- if [ ! "$T" ]; then
++ local M=`echo $M|sed 's:'$TOP'/::'`
++ if [ ! "$TOP" ]; then
+ echo "Couldn't locate the top of the tree. Try setting TOP."
+ elif [ ! "$M" ]; then
+ echo "Couldn't locate a makefile from the current directory."
+ else
+- ONE_SHOT_MAKEFILE=$M make -C $T all_modules $@
++ ONE_SHOT_MAKEFILE=$M make -C $TOP all_modules $@
+ fi
+ fi
+ }
+
+ function mmm()
+ {
+- T=$(gettop)
+- if [ "$T" ]; then
++ TOP=$(gettop)
++ if [ "$TOP" ]; then
+ local MAKEFILE=
+ local MODULES=
+ local ARGS=
+@@ -648,7 +648,7 @@
+ fi
+ DIR=`echo $DIR | sed -e 's/:.*//' -e 's:/$::'`
+ if [ -f $DIR/Android.mk ]; then
+- TO_CHOP=`(cd -P -- $T && pwd -P) | wc -c | tr -d ' '`
++ TO_CHOP=`(cd -P -- $TOP && pwd -P) | wc -c | tr -d ' '`
+ TO_CHOP=`expr $TO_CHOP + 1`
+ START=`PWD= /bin/pwd`
+ MFILE=`echo $START | cut -c${TO_CHOP}-`
+@@ -673,7 +673,7 @@
+ fi
+ fi
+ done
+- ONE_SHOT_MAKEFILE="$MAKEFILE" make -C $T $DASH_ARGS $MODULES $ARGS
++ ONE_SHOT_MAKEFILE="$MAKEFILE" make -C $TOP $DASH_ARGS $MODULES $ARGS
+ else
+ echo "Couldn't locate the top of the tree. Try setting TOP."
+ fi
+@@ -681,8 +681,8 @@
+
+ function croot()
+ {
+- T=$(gettop)
+- if [ "$T" ]; then
++ TOP=$(gettop)
++ if [ "$TOP" ]; then
+ cd $(gettop)
+ else
+ echo "Couldn't locate the top of the tree. Try setting TOP."
+@@ -696,11 +696,11 @@
+ # a command that prints something as a side-effect
+ # (like pushd)
+ local HERE=$PWD
+- T=
++ TOP=
+ while [ \( ! \( -f $TOPFILE \) \) -a \( $PWD != "/" \) ]; do
+- T=$PWD
+- if [ -f "$T/Android.mk" ]; then
+- cd $T
++ TOP=$PWD
++ if [ -f "$TOP/Android.mk" ]; then
++ cd $TOP
+ return
+ fi
+ cd .. > /dev/null
+@@ -854,13 +854,13 @@
+
+ function tracedmdump()
+ {
+- T=$(gettop)
+- if [ ! "$T" ]; then
++ TOP=$(gettop)
++ if [ ! "$TOP" ]; then
+ echo "Couldn't locate the top of the tree. Try setting TOP."
+ return
+ fi
+ local prebuiltdir=$(getprebuilt)
+- local KERNEL=$T/prebuilt/android-arm/kernel/vmlinux-qemu
++ local KERNEL=$TOP/prebuilt/android-arm/kernel/vmlinux-qemu
+
+ local TRACE=$1
+ if [ ! "$TRACE" ] ; then
+@@ -1007,13 +1007,13 @@
+ echo "Couldn't locate output files. Try running 'lunch' first." >&2
+ return
+ fi
+- T=$(gettop)
+- if [ ! "$T" ]; then
++ TOP=$(gettop)
++ if [ ! "$TOP" ]; then
+ echo "Couldn't locate the top of the tree. Try setting TOP." >&2
+ return
+ fi
+
+- (cd "$T" && mmm tests/SmokeTest) &&
++ (cd "$TOP" && mmm tests/SmokeTest) &&
+ adb uninstall com.android.smoketest > /dev/null &&
+ adb uninstall com.android.smoketest.tests > /dev/null &&
+ adb install $ANDROID_PRODUCT_OUT/data/app/SmokeTestApp.apk &&
+@@ -1024,12 +1024,12 @@
+ # simple shortcut to the runtest command
+ function runtest()
+ {
+- T=$(gettop)
+- if [ ! "$T" ]; then
++ TOP=$(gettop)
++ if [ ! "$TOP" ]; then
+ echo "Couldn't locate the top of the tree. Try setting TOP." >&2
+ return
+ fi
+- ("$T"/development/testrunner/runtest.py $@)
++ ("$TOP"/development/testrunner/runtest.py $@)
+ }
+
+ function godir () {
+@@ -1037,15 +1037,15 @@
+ echo "Usage: godir <regex>"
+ return
+ fi
+- T=$(gettop)
+- if [[ ! -f $T/filelist ]]; then
++ TOP=$(gettop)
++ if [[ ! -f $TOP/filelist ]]; then
+ echo -n "Creating index..."
+- (cd $T; find . -wholename ./out -prune -o -wholename ./.repo -prune -o -type f > filelist)
++ (cd $TOP; find . -wholename ./out -prune -o -wholename ./.repo -prune -o -type f > filelist)
+ echo " Done"
+ echo ""
+ fi
+ local lines
+- lines=($(\grep "$1" $T/filelist | sed -e 's/\/[^/]*$//' | sort | uniq))
++ lines=($(\grep "$1" $TOP/filelist | sed -e 's/\/[^/]*$//' | sort | uniq))
+ if [[ ${#lines[@]} = 0 ]]; then
+ echo "Not found"
+ return
+@@ -1073,7 +1073,7 @@
+ else
+ pathname=${lines[0]}
+ fi
+- cd $T/$pathname
++ cd $TOP/$pathname
+ }
+
+ # Force JAVA_HOME to point to java 1.6 if it isn't already set
diff --git a/dev-util/repo/repo-1.19.ebuild b/dev-util/repo/repo-1.19.ebuild
new file mode 100644
index 0000000..374736b
--- /dev/null
+++ b/dev-util/repo/repo-1.19.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="The Google repo tool"
+HOMEPAGE="http://code.google.com/p/git-repo/"
+SRC_URI="http://git-repo.googlecode.com/files/repo-1.19"
+
+# MERGE_TYPE="binary"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ >=dev-vcs/git-1.8.1.5
+ net-misc/curl
+"
+
+RDEPEND="${DEPEND}"
+
+# pkg_setup(){
+# mkdir tmp
+# cp ${P} tmp/
+# mv tmp ${P}
+# tar -cf ${P}
+# }
+
+src_unpack() {
+ mkdir -p "${WORKDIR}/${P}"
+ cp -pL "${DISTDIR}/${P}" "${S}/" || die
+# if [ "${A}" != "" ]; then
+# unpack ${A}
+# fi
+}
+
+
+
+src_install() {
+
+# mkdir -p "${WORKDIR}/${P}"
+# cd "${S}"
+
+# echo cp -pL "${DISTDIR}/${PN} ${S}/"
+# cp -pL "${DISTDIR}/${PN}" "${S}/" || die
+
+ cp ${P} ${PN}
+ exeinto "usr/bin"
+ doexe ${PN}
+# mkdir -p "${D}usr/bin"
+# echo "cp -rpP ${S}/* ${D}usr/bin/"
+# cp -rpP ${S}/* "${D}usr/bin/" || die
+}
+
+
+# pkg_preinst(){
+#
+# dodir "usr/bin"
+#
+# echo "cp -rpP ${S}/* ${D}usr/bin"
+# cp -rpP ${S}/* "${D}usr/bin" || die
+#
+# # doexe ${P}
+#
+# # exeinto "/usr/bin"
+# # doexe ${P}
+#
+# # dodir "usr/bin"
+# # echo cp -pL "${DISTDIR}/${PN} ${D}usr/bin/"
+# # cp -pL "${DISTDIR}/${PN}" "${D}usr/bin/"
+# #
+# # dodir "usr/bin"
+# #
+# # echo cp -pL "${DISTDIR}/${PN} ${D}usr/bin/"
+# # cp -pL "${DISTDIR}/${PN}" "${D}usr/bin/"
+# } \ No newline at end of file
diff --git a/dev-util/repo/repo-9999.ebuild b/dev-util/repo/repo-9999.ebuild
new file mode 100644
index 0000000..8a6bc67
--- /dev/null
+++ b/dev-util/repo/repo-9999.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit git-2
+
+DESCRIPTION="The Google repo tool"
+HOMEPAGE="http://code.google.com/p/git-repo/"
+EGIT_REPO_URI="https://gerrit.googlesource.com/git-repo"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ >=dev-vcs/git-1.7.2
+ net-misc/curl
+"
+
+RDEPEND="${DEPEND}"
+
+
+src_install() {
+
+ exeinto "usr/bin"
+ doexe ${PN}
+}